//priority: 1

ServerEvents.tags("item", (event) => {
	function addBaseTool(item) {
		event.add(F("tools"), item)
		event.add(MC("tools"), item)
		event.add(MC("breaks_decorated_pots"), item)
	}
	
	addBaseTool(EA("emerald_tools_hoe"))
	addBaseTool(EA("emerald_tools_shovel"))
	addBaseTool(EA("emerald_tools_pickaxe"))
	addBaseTool(EA("emerald_tools_axe"))
	addBaseTool(EA("emerald_tools_sword"))
	event.add(MC("hoes"), EA("emerald_tools_hoe"));
	event.add(MC("shovels"), EA("emerald_tools_shovel"));
	event.add(MC("axes"), EA("emerald_tools_axe"));
	event.add(MC("pickaxes"), EA("emerald_tools_pickaxe"));
	event.add(MC("swords"), EA("emerald_tools_sword"));
	
	function addBaseArmor(item) {
		event.add(F("armors"), item)
		event.add(F("armor"), item)
	}
	addBaseArmor(EA("emerald_armour_helmet"))
	addBaseArmor(EA("emerald_armour_chestplate"))
	addBaseArmor(EA("emerald_armour_leggings"))
	addBaseArmor(EA("emerald_armour_boots"))
	event.add(F("helmets"), EA("emerald_armour_helmet"));
	event.add(F("armors/helmets"), EA("emerald_armour_helmet"));
	event.add(F("chestplates"), EA("emerald_armour_chestplate"));
	event.add(F("armors/chestplates"), EA("emerald_armour_chestplate"));
	event.add(F("leggings"), EA("emerald_armour_leggings"));
	event.add(F("armors/leggings"), EA("emerald_armour_leggings"));
	event.add(F("boots"), EA("emerald_armour_boots"));
	event.add(F("armors/boots"), EA("emerald_armour_boots"));
});
